Index: src/sas/qtgui/Calculators/DensityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DensityPanel.py	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/Calculators/DensityPanel.py	(revision b0c5e8c49a3e4e82f4f885ba7ad4d73fb8d6c59f)
@@ -8,4 +8,5 @@
 from sas.qtgui.Utilities.GuiUtils import FormulaValidator
 from sas.qtgui.UI import main_resources_rc
+from sas.qtgui.Utilities.GuiUtils import HELP_DIRECTORY_LOCATION
 
 # Local UI
@@ -148,5 +149,5 @@
     def displayHelp(self):
         try:
-            location = self.manager.HELP_DIRECTORY_LOCATION + \
+            location = HELP_DIRECTORY_LOCATION + \
                 "/user/sasgui/perspectives/calculator/density_calculator_help.html"
 
Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision b0c5e8c49a3e4e82f4f885ba7ad4d73fb8d6c59f)
@@ -378,5 +378,5 @@
         """
         try:
-            location = self.manager.HELP_DIRECTORY_LOCATION + \
+            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
                        "/user/sasgui/perspectives/calculator/sas_calculator_help.html"
             self.manager._helpView.load(QtCore.QUrl(location))
Index: src/sas/qtgui/Calculators/KiessigPanel.py
===================================================================
--- src/sas/qtgui/Calculators/KiessigPanel.py	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/Calculators/KiessigPanel.py	(revision b0c5e8c49a3e4e82f4f885ba7ad4d73fb8d6c59f)
@@ -4,4 +4,5 @@
 from sas.qtgui.UI import main_resources_rc
 from UI.KiessigPanel import Ui_KiessigPanel
+import sas.qtgui.Utilities.GuiUtils as GuiUtils
 
 # sas-global
@@ -37,5 +38,5 @@
         """
         try:
-            location = self.manager.HELP_DIRECTORY_LOCATION + \
+            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
                 "/user/sasgui/perspectives/calculator/kiessig_calculator_help.html"
 
Index: src/sas/qtgui/Calculators/SldPanel.py
===================================================================
--- src/sas/qtgui/Calculators/SldPanel.py	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/Calculators/SldPanel.py	(revision b0c5e8c49a3e4e82f4f885ba7ad4d73fb8d6c59f)
@@ -7,5 +7,6 @@
 from periodictable.nsf import neutron_scattering
 
-from sas.qtgui.Utilities.GuiUtils import FormulaValidator
+import sas.qtgui.Utilities.GuiUtils as GuiUtils
+
 from sas.qtgui.UI import main_resources_rc
 
@@ -125,5 +126,5 @@
 
         # set validators
-        self.ui.editMolecularFormula.setValidator(FormulaValidator(self.ui.editMolecularFormula))
+        self.ui.editMolecularFormula.setValidator(GuiUtils.FormulaValidator(self.ui.editMolecularFormula))
 
         rx = QtCore.QRegExp("[+\-]?(?:0|[1-9]\d*)(?:\.\d*)?(?:[eE][+\-]?\d+)?")
@@ -216,5 +217,5 @@
     def displayHelp(self):
         try:
-            location = self.manager.HELP_DIRECTORY_LOCATION + \
+            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
                 "/user/sasgui/perspectives/calculator/sld_calculator_help.html"
             self.manager._helpView.load(QtCore.QUrl(location))
Index: src/sas/qtgui/Calculators/SlitSizeCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision b0c5e8c49a3e4e82f4f885ba7ad4d73fb8d6c59f)
@@ -9,4 +9,5 @@
 
 from sas.qtgui.UI import main_resources_rc
+import sas.qtgui.Utilities.GuiUtils as GuiUtils
 
 from UI.SlitSizeCalculator import Ui_SlitSizeCalculator
@@ -45,5 +46,5 @@
         """
         try:
-            location = self._parent.HELP_DIRECTORY_LOCATION + \
+            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
                 "/user/sasgui/perspectives/calculator/slit_calculator_help.html"
 
